Community Q&A

Where Wwise users help each other out!

Audiokinetic's Community Q&A is the forum where Wwise users ask and answer questions within the Wwise community. If you would like to get an answer from Audiokinetic's Technical support team, make sure you use the Support Tickets page.

LogAkAudio: Error: plug-in not found when building soundbanks in version 2019.2.2 @ UE4.25

0 votes
I teach a class on this stuff, and we're trying to integrate Wwise with UE4, and using game defined Aux sends to enable reverb on a test map. Whenever I try to generate soundbanks (generate sound data in this version) I get the following errors:

LogAkAudio: Error: Could not find plugin dynamic library AkParametricEQ
LogAkAudio: Error: Could not find plugin dynamic library AkRoomVerb
LogAkAudio: Error: Plug-in not found: 7733251
LogAkAudio: Error: Plug-in not found: 7733251
LogAkAudio: Error: Plug-in not found: 7733251
LogAkAudio: Error: Plug-in not found: 7733251
LogAkAudio: Error: Plug-in not found: 6881283

This approach has worked fine in the years prior, and last worked for us in UE4 .22, and Wwise 2019.1.3. Not sure what the differences are, but would appreciate any insight.

Thanks,

Lee
asked Nov 12 in General Discussion by Lee D. (140 points)

1 Answer

+1 vote
 
Best answer

yes,it is the bug of Wwise2019.2.2. We can see this issue only under the Wwise2019.2.2.

To settle this issue,you can:  

1、add the name of plugin(.lib) to the list of plugins in  AkAudio.Build.cs.

2、add the header file(.h) of the specific plugin in AkAudioDevice.cpp. 

3、Build!!

good luck!

answered Nov 16 by cgzhang (940 points)
selected Nov 16 by Lee D.
Many thanks for this. Took a related fix in the end - updated Wwise to v2.7. It would be nice if this could be hotfixed considering it doesn't match the behaviour of all the other versions!

Very much appreciate your help.
...